Subject: Re: [PATCH ethtool] ethtool: Support for configurable RSS hash function

From: "John W. Linville" <[email-masked]>
Date: Mon, 27 Mar 2017 14:02:06 -0400

On Sat, Mar 25, 2017 at 02:50:47PM -0700, Jakub Kicinski wrote:
> On Wed,  8 Mar 2017 16:03:51 +0200, Gal Pressman wrote:
> > This ethtool patch adds support to set and get the current RSS hash
> > function for the device through the new hfunc mask field in the
> > ethtool_rxfh struct. Kernel supported hash function names are queried
> > with ETHTOOL_GSTRINGS - each string is corresponding with a bit in hfunc
> > mask according to its index in the string-set.
> > 
> > Signed-off-by: Eyal Perry <[email-masked]>
> > Signed-off-by: Gal Pressman <[email-masked]>
> > Reviewed-by: Saeed Mahameed <[email-masked]>
> 
> Hi John,
> 
> It seems you have applied both my earlier patch with get support and
> this:
> 
> adbaa18b9bc1 ("ethtool: Support for configurable RSS hash function")
> b932835d2302 ("ethtool: print hash function with ethtool -x|--show-rxfh-indir")
> 
> Now we print the RSS function twice:
> 
> RX flow hash indirection table for em4 with 4 RX ring(s):
>     0:      [...]
> RSS hash function: toeplitz  <--- from my adbaa18b9bc1
> RSS hash key:
> Operation not supported
> RSS hash function:           <--- from this patch
>     toeplitz: on
>     xor: off
>     crc32: off
> 
> Reverting my patch is probably the easiest way forward, although I find
> it more concise and easier to parse in test scripts :)

Thanks for pointing-out this issue! I apologize for my own confusion.

As you suggest, I will be reverting your patch.

Thanks,

John
-- 
John W. Linville		Someday the world will need a hero, and you
[email-masked]			might be all we have.  Be ready.